Index: branches/ScatterSearch (trunk integration)/HeuristicLab.Optimization.Views/3.3/AlgorithmView.Designer.cs
===================================================================
--- branches/ScatterSearch (trunk integration)/HeuristicLab.Optimization.Views/3.3/AlgorithmView.Designer.cs	(revision 8319)
+++ branches/ScatterSearch (trunk integration)/HeuristicLab.Optimization.Views/3.3/AlgorithmView.Designer.cs	(revision 8331)
@@ -59,5 +59,5 @@
       // 
       this.startButton.Location = new System.Drawing.Point(0, 458);
-      this.toolTip.SetToolTip(this.startButton, "Start/Resume Experiment");
+      this.toolTip.SetToolTip(this.startButton, "Start/Resume Algorithm");
       // 
       // executionTimeTextBox
@@ -72,15 +72,15 @@
       // 
       this.pauseButton.Location = new System.Drawing.Point(30, 458);
-      this.toolTip.SetToolTip(this.pauseButton, "Pause Experiment");
+      this.toolTip.SetToolTip(this.pauseButton, "Pause Algorithm");
       // 
       // stopButton
       // 
       this.stopButton.Location = new System.Drawing.Point(60, 458);
-      this.toolTip.SetToolTip(this.stopButton, "Stop Experiment");
+      this.toolTip.SetToolTip(this.stopButton, "Stop Algorithm");
       // 
       // resetButton
       // 
       this.resetButton.Location = new System.Drawing.Point(90, 458);
-      this.toolTip.SetToolTip(this.resetButton, "Reset Experiment");
+      this.toolTip.SetToolTip(this.resetButton, "Reset Algorithm");
       // 
       // nameTextBox
Index: branches/ScatterSearch (trunk integration)/HeuristicLab.Optimization.Views/3.3/BatchRunView.Designer.cs
===================================================================
--- branches/ScatterSearch (trunk integration)/HeuristicLab.Optimization.Views/3.3/BatchRunView.Designer.cs	(revision 8319)
+++ branches/ScatterSearch (trunk integration)/HeuristicLab.Optimization.Views/3.3/BatchRunView.Designer.cs	(revision 8331)
@@ -55,5 +55,5 @@
       // 
       this.startButton.Location = new System.Drawing.Point(0, 459);
-      this.toolTip.SetToolTip(this.startButton, "Start/Resume Experiment");
+      this.toolTip.SetToolTip(this.startButton, "Start/Resume Batchrun");
       // 
       // executionTimeTextBox
@@ -68,15 +68,15 @@
       // 
       this.pauseButton.Location = new System.Drawing.Point(30, 459);
-      this.toolTip.SetToolTip(this.pauseButton, "Pause Experiment");
+      this.toolTip.SetToolTip(this.pauseButton, "Pause Batchrun");
       // 
       // stopButton
       // 
       this.stopButton.Location = new System.Drawing.Point(60, 459);
-      this.toolTip.SetToolTip(this.stopButton, "Stop Experiment");
+      this.toolTip.SetToolTip(this.stopButton, "Stop Batchrun");
       // 
       // resetButton
       // 
       this.resetButton.Location = new System.Drawing.Point(90, 458);
-      this.toolTip.SetToolTip(this.resetButton, "Reset Experiment");
+      this.toolTip.SetToolTip(this.resetButton, "Reset Batchrun");
       // 
       // nameTextBox
Index: branches/ScatterSearch (trunk integration)/HeuristicLab.Optimization.Views/3.3/IOptimizerView.Designer.cs
===================================================================
--- branches/ScatterSearch (trunk integration)/HeuristicLab.Optimization.Views/3.3/IOptimizerView.Designer.cs	(revision 8319)
+++ branches/ScatterSearch (trunk integration)/HeuristicLab.Optimization.Views/3.3/IOptimizerView.Designer.cs	(revision 8331)
@@ -73,5 +73,5 @@
       this.startButton.Size = new System.Drawing.Size(24, 24);
       this.startButton.TabIndex = 10;
-      this.toolTip.SetToolTip(this.startButton, "Start/Resume Experiment");
+      this.toolTip.SetToolTip(this.startButton, "Start/Resume Optimizer");
       this.startButton.UseVisualStyleBackColor = true;
       this.startButton.Click += new System.EventHandler(this.startButton_Click);
@@ -104,5 +104,5 @@
       this.pauseButton.Size = new System.Drawing.Size(24, 24);
       this.pauseButton.TabIndex = 11;
-      this.toolTip.SetToolTip(this.pauseButton, "Pause Experiment");
+      this.toolTip.SetToolTip(this.pauseButton, "Pause Optimizer");
       this.pauseButton.UseVisualStyleBackColor = true;
       this.pauseButton.Click += new System.EventHandler(this.pauseButton_Click);
@@ -116,5 +116,5 @@
       this.stopButton.Size = new System.Drawing.Size(24, 24);
       this.stopButton.TabIndex = 12;
-      this.toolTip.SetToolTip(this.stopButton, "Stop Experiment");
+      this.toolTip.SetToolTip(this.stopButton, "Stop Optimizer");
       this.stopButton.UseVisualStyleBackColor = true;
       this.stopButton.Click += new System.EventHandler(this.stopButton_Click);
@@ -128,5 +128,5 @@
       this.resetButton.Size = new System.Drawing.Size(24, 24);
       this.resetButton.TabIndex = 13;
-      this.toolTip.SetToolTip(this.resetButton, "Reset Experiment");
+      this.toolTip.SetToolTip(this.resetButton, "Reset Optimizer");
       this.resetButton.UseVisualStyleBackColor = true;
       this.resetButton.Click += new System.EventHandler(this.resetButton_Click);
Index: branches/ScatterSearch (trunk integration)/HeuristicLab.Optimization.Views/3.3/Plugin.cs.frame
===================================================================
--- branches/ScatterSearch (trunk integration)/HeuristicLab.Optimization.Views/3.3/Plugin.cs.frame	(revision 8319)
+++ branches/ScatterSearch (trunk integration)/HeuristicLab.Optimization.Views/3.3/Plugin.cs.frame	(revision 8331)
@@ -26,5 +26,5 @@
   /// Plugin class for HeuristicLab.Optimization.Views plugin.
   /// </summary>
-  [Plugin("HeuristicLab.Optimization.Views", "3.3.6.$WCREV$")]
+  [Plugin("HeuristicLab.Optimization.Views", "3.3.7.$WCREV$")]
   [PluginFile("HeuristicLab.Optimization.Views-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Analysis", "3.3")]
Index: branches/ScatterSearch (trunk integration)/HeuristicLab.Optimization.Views/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- branches/ScatterSearch (trunk integration)/HeuristicLab.Optimization.Views/3.3/Properties/AssemblyInfo.cs.frame	(revision 8319)
+++ branches/ScatterSearch (trunk integration)/HeuristicLab.Optimization.Views/3.3/Properties/AssemblyInfo.cs.frame	(revision 8331)
@@ -54,3 +54,3 @@
 // by using the '*' as shown below:
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.6.$WCREV$")]
+[assembly: AssemblyFileVersion("3.3.7.$WCREV$")]
Index: branches/ScatterSearch (trunk integration)/HeuristicLab.Optimization.Views/3.3/RunCollectionViews/RunCollectionDataTableView.cs
===================================================================
--- branches/ScatterSearch (trunk integration)/HeuristicLab.Optimization.Views/3.3/RunCollectionViews/RunCollectionDataTableView.cs	(revision 8319)
+++ branches/ScatterSearch (trunk integration)/HeuristicLab.Optimization.Views/3.3/RunCollectionViews/RunCollectionDataTableView.cs	(revision 8331)
@@ -26,5 +26,4 @@
 using HeuristicLab.Analysis;
 using HeuristicLab.Collections;
-using HeuristicLab.Common;
 using HeuristicLab.Core.Views;
 using HeuristicLab.MainForm;
@@ -36,12 +35,4 @@
     private const string AllDataRows = "All DataRows";
 
-    public RunCollectionDataTableView() {
-      InitializeComponent();
-      runMapping = new Dictionary<IRun, IEnumerable<DataRow>>();
-      combinedDataTable = new DataTable("Combined DataTable", "A data table containing all data rows from all run.");
-      viewHost.Content = combinedDataTable;
-      suppressUpdates = false;
-    }
-
     public new RunCollection Content {
       get { return (RunCollection)base.Content; }
@@ -49,4 +40,5 @@
     }
 
+    private int rowNumber = 0;
     private bool suppressUpdates;
     private readonly Dictionary<IRun, IEnumerable<DataRow>> runMapping;
@@ -54,4 +46,12 @@
     public DataTable CombinedDataTable {
       get { return combinedDataTable; }
+    }
+
+    public RunCollectionDataTableView() {
+      InitializeComponent();
+      runMapping = new Dictionary<IRun, IEnumerable<DataRow>>();
+      combinedDataTable = new DataTable("Combined DataTable", "A data table containing data rows from multiple runs.");
+      viewHost.Content = combinedDataTable;
+      suppressUpdates = false;
     }
 
@@ -111,7 +111,6 @@
     private void run_Changed(object sender, EventArgs e) {
       if (suppressUpdates) return;
-      IRun run = (IRun)sender;
-      UpdateRuns(run.ToEnumerable());
-
+      var run = (IRun)sender;
+      UpdateRuns(new IRun[] { run });
     }
     #endregion
@@ -131,4 +130,5 @@
     private void RebuildCombinedDataTable() {
       RemoveRuns(Content);
+      rowNumber = 0;
       AddRuns(Content);
     }
@@ -142,4 +142,5 @@
       combinedDataTable.Rows.AddRange(dataRows);
     }
+
     private void RemoveRuns(IEnumerable<IRun> runs) {
       var dataRows = runs.Where(r => runMapping.ContainsKey(r)).SelectMany(r => runMapping[r]).ToList();
@@ -165,11 +166,10 @@
     }
 
-    private int rowNumber = 0;
     private IEnumerable<DataRow> ExtractDataRowsFromRun(IRun run) {
-      string resultName = (string)dataTableComboBox.SelectedItem;
-      string rowName = (string)dataRowComboBox.SelectedItem;
+      var resultName = (string)dataTableComboBox.SelectedItem;
+      var rowName = (string)dataRowComboBox.SelectedItem;
       if (!run.Results.ContainsKey(resultName)) yield break;
 
-      DataTable dataTable = (DataTable)run.Results[resultName];
+      var dataTable = (DataTable)run.Results[resultName];
       foreach (var dataRow in dataTable.Rows) {
         if (dataRow.Name != rowName && rowName != AllDataRows) continue;
@@ -197,5 +197,5 @@
     private void UpdateDataRowComboBox() {
       dataRowComboBox.Items.Clear();
-      string resultName = (string)dataTableComboBox.SelectedItem;
+      var resultName = (string)dataTableComboBox.SelectedItem;
       var dataTables = from run in Content
                        where run.Results.ContainsKey(resultName)
Index: branches/ScatterSearch (trunk integration)/HeuristicLab.Optimization.Views/3.3/RunCollectionViews/RunCollectionTabularView.cs
===================================================================
--- branches/ScatterSearch (trunk integration)/HeuristicLab.Optimization.Views/3.3/RunCollectionViews/RunCollectionTabularView.cs	(revision 8319)
+++ branches/ScatterSearch (trunk integration)/HeuristicLab.Optimization.Views/3.3/RunCollectionViews/RunCollectionTabularView.cs	(revision 8331)
@@ -164,5 +164,5 @@
       RunCollectionRowComparer rowComparer = new RunCollectionRowComparer();
       if (sortedColumns.Count() != 0) {
-        rowComparer.SortedIndizes = sortedColumns;
+        rowComparer.SortedIndices = sortedColumns;
         rowComparer.Matrix = Content;
         Array.Sort(newSortedIndex, rowComparer);
@@ -194,8 +194,8 @@
       }
 
-      private List<KeyValuePair<int, SortOrder>> sortedIndizes;
-      public IEnumerable<KeyValuePair<int, SortOrder>> SortedIndizes {
-        get { return this.sortedIndizes; }
-        set { sortedIndizes = new List<KeyValuePair<int, SortOrder>>(value); }
+      private List<KeyValuePair<int, SortOrder>> sortedIndices;
+      public IEnumerable<KeyValuePair<int, SortOrder>> SortedIndices {
+        get { return this.sortedIndices; }
+        set { sortedIndices = new List<KeyValuePair<int, SortOrder>>(value); }
       }
       private RunCollection matrix;
@@ -212,8 +212,8 @@
         if (matrix == null)
           throw new InvalidOperationException("Could not sort IStringConvertibleMatrix if the matrix member is null.");
-        if (sortedIndizes == null)
+        if (sortedIndices == null)
           return 0;
 
-        foreach (KeyValuePair<int, SortOrder> pair in sortedIndizes.Where(p => p.Value != SortOrder.None)) {
+        foreach (KeyValuePair<int, SortOrder> pair in sortedIndices.Where(p => p.Value != SortOrder.None)) {
           value1 = matrix.GetValue(x, pair.Key);
           value2 = matrix.GetValue(y, pair.Key);
